Skip to main content
POST
/
webhook-subscriptions
/
{webhookSubscription}
/
enable
Enable a disabled webhook subscription
curl --request POST \
  --url https://api.staging-2tid4c.ezyshield.com.au/verification/v1/webhook-subscriptions/{webhookSubscription}/enable \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "type": "webhook-subscriptions",
    "attributes": {
      "url": "<string>",
      "events": [
        {}
      ],
      "enabled": true,
      "consecutive_failures": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "disabled_at": "2023-11-07T05:31:56Z",
      "secret": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

webhookSubscription
string<uuid>
required

The webhook subscription ID

Response

WebhookSubscriptionResource

data
WebhookSubscriptionResource · object
required